import { useSupabaseUser } from "../composables/useSupabaseUser.mjs";
import { useSupabaseClient } from "../composables/useSupabaseClient.mjs";
import { useSupabaseToken } from "../composables/useSupabaseToken.mjs";
import { redirectToLogin } from "../utils/redirect.mjs";
import { defineNuxtPlugin, useRoute } from "#imports";
export default defineNuxtPlugin(async () => {
  const user = useSupabaseUser();
  const client = useSupabaseClient();
  const token = useSupabaseToken();
  const route = useRoute();
  if (!token.value) {
    return;
  }
  const { data: { user: supabaseUser }, error } = await client.auth.getUser(token.value);
  if (error) {
    token.value = null;
    user.value = null;
    await redirectToLogin(route.path);
  } else {
    user.value = supabaseUser;
  }
});
